## org.apache.http.client
Interface AuthCache

All Known Implementing Classes:
  BasicAuthCache

    public interface AuthCache

Abstract `AuthScheme` cache. Initialized `AuthScheme` objects from this cache can be used to preemptively authenticate against known hosts.

Since:
  4.1

Method Summary
`void` `clear()`
`AuthScheme` `get(HttpHost host)`
`void` `put(HttpHost host, AuthScheme authScheme)`
`void` `remove(HttpHost host)`

Method Detail

### put

    void put(HttpHost host,
             AuthScheme authScheme)

### get

    AuthScheme get(HttpHost host)

### remove

    void remove(HttpHost host)

### clear

    void clear()

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.